﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tsi1.BusinessLayer.Helpers
{
    public static class ErrorMessages
    {
        public const string UserDoesNotExist = "El usuario '{0}' no existe";
        public const string IncorrectPassword = "Contraseña incorrecta";
        public const string UserTypeDoesNotExist = "El tipo de usuario con id '{0}' no existe";
        public const string StudentDoesNotExist = "El estudiante con Id de usuario: '{0}' no existe";
        public const string StudentCourseDoesNotExists = "El estudiante '{0}' no se encuentra matriculado en el curso '{1}'";
        public const string StudentCourseAlreadyExists = "El estudiante '{0}' ya se encuentra matriculado en el curso '{1}'";
        public const string ProfessorDoesNotExist = "El profesor con Id de usuario: '{0}' no existe";
        public const string ProfessorCourseAlreadyExists = "El profesor '{0}' ya es docente del curso '{1}'";
        public const string ProfessorCourseDoesNotExists = "El profesor '{0}' no es docente del curso '{1}'";
        public const string InvalidUsername = "El nombre de usuario debe ser de la forma: 'usuario@facultad'";
        public const string DuplicateUsername = "Ya existe un usuario con username '{0}'";


        public const string ForumDoesNotExist = "El foro con id '{0}' no existe";
        public const string DuplicateForumName = "Ya existe un foro con nombre '{0}'";
        public const string DuplicateForumUser = "El usuario '{0}' ya se encuentra matriculado al foro '{1}'";
        

        public const string PostDoesNotExist = "El post con id '{0}' no existe";
        public const string PostMessageDoesNotExist = "El mensage con id '{0}' no existe";

        public const string CannotConnectToSmtpServer = "No se pudo conectar al servidor SMTP";
        public const string CannotAuthenticateToSmtpServer = "No se pudo autenticar en el servidor SMTP";
        public const string CannotSendEmail = "No se pudo mandar el mail con asunto {0}";

        public const string CourseDoesNotExist = "El curso con id '{0}' no existe";
        public const string DuplicateCourseName = "Ya existe un curso con nombre '{0}'";
        public const string CourseIsTemplate = "El curso con id '{0}' es un template";
        public const string CourseHasNoStudents = "El curso con id '{0}' no tiene estudiantes";

        public const string TenantDoesNotExist = "La Facultad '{0}' no existe";
        public const string DuplicateTenantName = "Ya existe una Facultad con nombre '{0}'";

        public const string InvalidUserType = "Tipo de usuario invalido '{0}'";

        public const string ErrorSavingFile = "No se pudo guardar el archivo '{0}'";
        public const string ErrorDeletingFile = "No se pudo borrar el archivo '{0}'";
        public const string DuplicateFile = "Ya existe el archivo '{0}'";
        public const string FileDoesNotExist = "El archivo '{0}' no existe fisicamente en el file server";

        public const string SectionDoesNotExist = "La seccion con id '{0}' no existe";
        public const string DuplicateSectionOrder = "Hay secciones con el mismo orden";
        public const string SectionItemDoesNotExist = "El item de seccion con id '{0}' no existe";
        public const string DuplicateSectionItemOrder = "Hay items de seccion con el mismo orden";

        public const string SectionItemTypeDoesNotExist = "El tipo de item de seccion con id '{0}' no existe";
        public const string InvalidSectionItemType = "El tipo de item de seccion '{0}' es invalido";
        public const string ForumIsNull = "El foro es nulo";
        public const string FileIsNull = "El archivo es nulo";
        public const string InvalidSectionItemData = "El tipo de item de seccion '{0}' no coincide con su contenido '{1}'";

        public const string SurveyDoesNotExist = "La encuesta con id '{0}' no existe";
        public const string SurveyIsNull = "La encuesta es nula";
        public const string SurveyHasNoQuestions = "La encuesta no tiene preguntas";
        public const string InvalidSurvey = "La encuesta no pertenece a la facultad con id '{0}'";
        public const string SurveyResponseAlreadyExist = "El usuario '{0}' ya completo la encuesta '{1}'";

        public const string CommunicationDoesNotExist = "La comunicación con id '{0}' no existe";
        public const string InvalidTenant = "El usuario no pertenece a la facultad con id '{0}'";

        public const string ActivityDoesNotExist = "La actividad con id '{0}' no existe";
    }
}
