﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface ICommunicationService
    {
        Task<ServiceResult<int>> Create(CommunicationCreateDto newCommunication, int id);

        Task<ServiceResult<bool>> Delete(int communicationId);

        Task<ServiceResult<List<CommunicationPreviewDto>>> GetAllCommunications(int tenantId);

        Task<ServiceResult<List<CommunicationPreviewDto>>> GetCourseCommunications(int courseId, int tenantId);

        Task<ServiceResult<List<CommunicationPreviewDto>>> GetGlobalCommunications(int tenantId);

        Task<ServiceResult<bool>> TenantValidation(int tenantId, int courseId);
        Task<ServiceResult<List<CommunicationPreviewDto>>> GetAllGlobalCommunications();
        Task<ServiceResult<List<CommunicationPreviewDto>>> GetAllCourseCommunications(int tenantId);
    }
}
