﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;
using Tsi1.DataLayer.Entities;

namespace Tsi1.DataLayer.EntityConfiguration
{
    public class SectionItemConfiguration : IEntityTypeConfiguration<SectionItem>
    {
        public void Configure(EntityTypeBuilder<SectionItem> builder)
        {
            builder.HasKey(x => x.Id);

            builder.Property(x => x.Order)
                .IsRequired();

            builder.HasOne(x => x.File)
                .WithOne(x => x.SectionItem)
                .HasForeignKey<SectionItem>(x => x.FileId);

            builder.HasOne(x => x.Forum)
                .WithOne(x => x.SectionItem)
                .HasForeignKey<SectionItem>(x => x.ForumId);

            builder.HasOne(x => x.SectionItemType)
                .WithMany(x => x.SectionItems)
                .HasForeignKey(x => x.SectionItemTypeId);

            builder.HasOne(x => x.Section)
                .WithMany(x => x.SectionItems)
                .HasForeignKey(x => x.SectionId);

            builder.HasOne(x => x.Survey)
                .WithOne(x => x.SectionItem)
                .HasForeignKey<SectionItem>(x => x.SurveyId);
        }
    }
}
